/*
 * Galactic Bloodshed, copyright (c) 1989 by Robert P. Chansky, 
 * smq@ucscb.ucsc.edu, mods by people in GB.c, enroll.dat.
 * Restrictions in GB.c.
 * doturn.h -- various turn things we are keeping track of.
 * Galactic Bloodshed by Robert Chansky
 */


struct stinfo {
	short temp_add;	/* addition to temperature to each planet */
	u_short Thing_add;	
			/* new Thing colony on this planet */
	unsigned amoeba_add : 1;	/* add amoeba on this planet */
	unsigned inhab : 1;		/* explored by anybody */
	unsigned intimidated : 1;	/* assault platform is here */
};

EXTERN struct stinfo Stinfo[NUMSTARS][MAXPLANETS];

struct vnbrain {
	u_short Total_mad;	/* total # of VN's destroyed so far */
	short Most_mad;	/* player most mad at */
};

EXTERN struct vnbrain VN_brain;

struct sectinfo {
	char explored;		/* sector has been explored */
	unsigned VN : 1;	/* this sector has a VN */
	unsigned done : 1;	/* this sector has been updated */
};

EXTERN struct sectinfo Sectinfo[MAX_X][MAX_Y];

