/*
 * Galactic Bloodshed, copyright (c) 1989 by Robert P. Chansky, 
 * smq@ucscb.ucsc.edu, mods by people in GB_copyright.h.
 * Restrictions in GB_copyright.h.
 *
 * zoom.c -- zoom in or out for orbit display
 */

#include "GB_copyright.h"
#define EXTERN extern
#include "vars.h"
#include "buffers.h"


zoom(Playernum,APcount, argn,args)
int Playernum;
int APcount;
int argn;
char args[MAXARGS][COMMANDSIZE];
{
 float num,denom;
int i;

i = (Dir[Playernum-1].level==LEVEL_UNIV);

if(argn > 1) {
    if (sscanf(args[1], "%f/%f", &num, &denom) == 2) {
	/* num/denom format */
	if (denom==0.0) {
		sprintf(buf,"Illegal denominator value.\n");
			notify(Playernum, buf);
	} else
		Dir[Playernum-1].zoom[i] = num / denom;
    } else {
	/* one number */
	Dir[Playernum-1].zoom[i] = num;
    }
}

 sprintf(buf,"Zoom value %g, lastx = %g, lasty = %g.\n",Dir[Playernum-1].zoom[i],
		Dir[Playernum-1].lastx[i],Dir[Playernum-1].lasty[i]);
	notify(Playernum, buf);
}
